%TABLE 7.9
%Constraint functions and their gradients evaluation M-file for Example 7.9

% File name: ConstAndGrad7_3.m
function [g, h, gg, gh] = ConstAndGrad7_3(x)

% g returns inequality constraints
% h returns equality constraints
% gg returns gradients of inequilities; each column contains a gradient
% gh returns gradients of equalities; each column contains a gradient

% Re-name design variables
x1 = x(1); x2 = x(2);

% Inequality constraints
g(1) = 100-(x1-5)^2-(x2-5)^2 ;
g(2) = -82.81+ (x1-6)^2 + (x2-5)^2;

% Equality constraints
h = [];

% Gradients of constraints
if nargout > 2
gg(1,1) = -2*(x1-5);
gg(2,1) = -2*(x2-5);
gg(1,2) = 2*(x1-6);
gg(2,2) = 2*(x2-5);
gh = [];
end
